Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 7257)
+++ trunk/MagicSoft/Mars/Changelog	(revision 7258)
@@ -19,5 +19,13 @@
                                                  -*-*- END OF LINE -*-*-
 
- 2005/08/02 Daniela Dorner
+ 2005/08/04 Daniela Dorner
+
+   * datacenter/scripts/makecallistolinks:
+     - added (script to make the links for the correct callisto.rc in 
+       case when callisto_Dec04Jan05.rc is needed)
+
+
+
+ 2005/08/03 Daniela Dorner
 
    * datacenter/macros/getdolist.C:
Index: trunk/MagicSoft/Mars/datacenter/scripts/makecallistolinks
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/makecallistolinks	(revision 7258)
+++ trunk/MagicSoft/Mars/datacenter/scripts/makecallistolinks	(revision 7258)
@@ -0,0 +1,76 @@
+#!/bin/sh
+#
+# ========================================================================
+#
+# *
+# * This file is part of MARS, the MAGIC Analysis and Reconstruction
+# * Software. It is distributed to you in the hope that it can be a useful
+# * and timesaving tool in analysing Data of imaging Cerenkov telescopes.
+# * It is distributed WITHOUT ANY WARRANTY.
+# *
+# * Permission to use, copy, modify and distribute this software and its
+# * documentation for any purpose is hereby granted without fee,
+# * provided that the above copyright notice appear in all copies and
+# * that both that copyright notice and this permission notice appear
+# * in supporting documentation. It is provided "as is" without express
+# * or implied warranty.
+# *
+#
+#
+#   Author(s): Daniela Dorner  08/2004 <mailto:dorner@astro.uni-wuerzburg.de>
+#
+#   Copyright: MAGIC Software Development, 2000-2004
+#
+#
+# ========================================================================
+#
+#
+
+user=`whoami`
+source /home/$user/Mars/datacenter/scripts/sourcefile
+
+set -C
+
+callistorcseq=callisto.rc
+callistorcnew=callisto_Dec04Jan05.rc
+
+scriptlogpath=$logpath/run/makecallistolinks/`date +%Y/%m/%d`
+makedir $scriptlogpath
+scriptlog=$scriptlogpath/makingcallistolinks`date +%F`.log
+
+date >> $scriptlog 2>&1
+
+lockfile=$lockpath/lock-making-callisto-links.txt
+date > $lockfile >> $scriptlog 2>&1 
+checklock0=$?
+case $checklock0 in 
+    0)   echo "checklock0=$checklock0 -> continue " >> $scriptlog 2>&1;;
+    1)   echo "checklock0=$checklock0 -> file exists " >> $scriptlog 2>&1
+         echo "-> getting list for callisto is running -> exit" >> $scriptlog 2>&1
+         date  >> $scriptlog 2>&1
+         exit;;
+    *)   echo "checklock0=$checklock0 -> something went completely wrong" >> $scriptlog 2>&1;;
+esac
+
+
+reason="Pulse is too much to the right, cannot go beyond logain limits!"
+echo "reason: "$reason >> $scriptlog 2>&1
+
+files=`find $datapath/callisto -name callisto*.log`
+
+for file in $files
+do 
+  pulse=`cat $file | grep "$reason"` >> $scriptlog 2>&1
+  if [ ! "$pulse" = "" ]
+  then
+     path=`dirname $file` >> $scriptlog 2>&1
+     ln -vfs $setuppath/$callistorcnew $path/$callistorcseq >> $scriptlog 2>&1
+  fi
+done
+
+rm -v $lockfile >> $scriptlog 2>&1
+
+set +C
+
+date  >> $scriptlog 2>&1
+
Index: trunk/MagicSoft/Mars/datacenter/scripts/runganymed
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/runganymed	(revision 7257)
+++ trunk/MagicSoft/Mars/datacenter/scripts/runganymed	(revision 7258)
@@ -84,4 +84,8 @@
 nr=bla
 echo "finding the right todo-file" >> $scriptlog 2>&1
+todofiles=`ls $listpath/ToDo-$table-$column-*`
+
+echo "todofiles: "${todofiles[@]} >> $scriptlog 2>&1
+
 for todofile in ${todofiles[@]}
 do 
Index: trunk/MagicSoft/Mars/datacenter/scripts/runstar
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/runstar	(revision 7257)
+++ trunk/MagicSoft/Mars/datacenter/scripts/runstar	(revision 7258)
@@ -83,8 +83,7 @@
 nr=bla
 echo "finding the right todo-file" >> $scriptlog 2>&1
-todofiles=`ls $listpath/*`
+todofiles=`ls $listpath/ToDo-$table-$column-*`
 
 echo "todofiles: "${todofiles[@]} >> $scriptlog 2>&1
-
 
 for todofile in ${todofiles[@]}
